# $Revision: 1.77 $, $Date: 2008/12/15 21:24:44 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Compress
%define		pnam	Zlib
Summary:	Compress::Zlib - interface to zlib library
Summary(cs.UTF-8):	Compress::Zlib - modul poskytující rozhraní Perlu ke komprimační knihovně zlib
Summary(da.UTF-8):	Compress::Zlib - et modul som giver Perl en grænseflade til komprimeringsbiblioteket zlib
Summary(de.UTF-8):	Compress::Zlib - ein Modul mit Perl-Interfaces zur zlib Komprimier-Bibliothek
Summary(es.UTF-8):	Compress::Zlib - módulo que proporciona las interfaces Perl para la librería de compresión
Summary(fr.UTF-8):	Compress::Zlib - module fournissant une interface Perl à la bibliothèque de compression zlib
Summary(it.UTF-8):	Compress::Zlib - modulo che fornisce interfacce di Perl alla libreria di compressione zlib
Summary(ja.UTF-8):	Compress::Zlib - zlib圧縮ライブラリへPerl インターフェイスを提供するモジュール。
Summary(ko.UTF-8):	Compress::Zlib - zlib 압축 라이브러리로의 Perl 인터페이스를 제공하는 모듈
Summary(pl.UTF-8):	Compress::Zlib - interfejs do biblioteki zlib
Summary(pt.UTF-8):	Compress::Zlib - um módulo que oferece interfaces em Perl para a biblioteca de compressão zlib
Summary(pt_BR.UTF-8):	Compress::Zlib - um módulo que oferece interfaces em Perl para a biblioteca de compressão zlib
Summary(sv.UTF-8):	Compress::Zlib - en modul som ger Perl ett gränssnitt till komprimeringsbiblioteket zlib
Summary(tr.UTF-8):	Compress::Zlib - zlib sıkıştırma kitaplığına Perl arayüzler sağlayan bir modül
Summary(zh_CN.UTF-8):	Compress::Zlib - 提供到 zlib 压缩库的 Perl 界面的模块。
Summary(zh_TW.UTF-8):	Compress::Zlib - 提供 Perl 介面給 zlib 壓縮函式庫的一個模組。
Name:		perl-Compress-Zlib
Version:	2.015
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Compress/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	689ba2cc399b019d0bf76a0575c32947
Patch0:		%{name}-paths.patch
URL:		http://search.cpan.org/dist/Compress-Zlib/
%if %{with tests}
BuildRequires:	perl-Compress-Raw-Zlib >= %{version}
BuildRequires:	perl-IO-Compress-Base >= %{version}
BuildRequires:	perl-IO-Compress-Zlib >= %{version}
BuildRequires:	perl-Scalar-List-Utils
%endif
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
Requires:	perl-dirs >= 1.0-11
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The Compress::Zlib module provides a Perl interface to the zlib
compression library. Most of the functionality provided by zlib is
available in Compress::Zlib.

The module can be split into two general areas of functionality,
namely in-memory compression/decompression and read/write access to
gzip files.

%description -l cs.UTF-8
Modul Compress::Zlib poskytuje rozhraní ke komprimační knihovně v
Perlu. Většina funkcí poskytovaných zlib je k dispozici v
Compress::Zlib.

Modul může být rozdělen do dvou obecných oblastí funkčnosti, konkrétně
do komprese/dekomprese v paměti a do čtení/zápisu souborů gzip.

%description -l da.UTF-8
Modulet Compress::Zlib giver Perl en grænseflade til
komprimeringsbiblioteket zlib. Det meste af funktionaliteten som
zlibgiver er tilgængelig i Compress::Zlib.

Modulet kan deles i to generelle funktionsområder, nemlig
komprimering/dekomprimering i hukommelsen og læsning/skrivning til
gzip-filer.

%description -l de.UTF-8
Das Compress::Zlib Modul enthält ein Perl-Interface zur zlib
Komprimier-Bibliothek. Die meisten Funktionen von zlib sind in
Compress::Zlib verfügbar.

Das Modul kann in zwei allgemeine Funktionsbereiche aufgeteilt werden:
Komprimieren/Dekomprimieren im Speicher und Lese-/Schreibzugriff für
gzip files.

%description -l es.UTF-8
El módulo Compress::Zlib proporciona una interfaz Perl para la
librería de compresión zlib. La mayoría de la funcionalidad
proporcionada por zlib está disponible en Compress::Zlib.

El módulo puede separarse en dos áreas generales de funcionalidad,
compresión/decompresión de memoria interna y acceso lectura/escritura
para los ficheros gzip.

%description -l fr.UTF-8
Le module Compress::Zlib fournit une interface Perl pour la
bibliothèque de compression zlib. La plupart des fonctionnalités
fournies par zlib est accessible dans Compress::Zlib.

Le module peut être divisé en deux zones de fonctionnalité distinctes:
compression/décompression dans la mémoire et accès en lecture/écriture
aux fichiers gzip.

%description -l it.UTF-8
Il modulo Compress::Zlib fornisce un'interfaccia Perl per la libreria
di compressione zlib Gran parte delle funzionalità fornite da zlib è
disponibile in Compress::Zlib.

Il modulo può essere diviso in due aree di funzionalità generali:
compressione/decompressione nella memoria e accesso in lettura/
scrittura ai file gzip.

%description -l ko.UTF-8
Compress::Zlib 모듈은 zlib 압축 라이브러리에 Perl 인터페이스를
제공합니다. Compress::Zlib은 zlib이 제공하는 대부분의 기능을 갖추고
있습니다.

이 모듈은 일반적으로 다음과 같은 두가지 기능을 제공합니다: 메모리
압축/ 압축 해제 기능과 gzip 파일로의 읽기/ 쓰기 접근 기능.

%description -l pl.UTF-8
Moduł Compress::Zlib stanowi interfejs Perla do biblioteki zlib.
Większość funkcji biblioteki zlib jest dostępna poprzez
Compress::Zlib.

Moduł można podzielić funkcjonalnie na dwie zasadnicze części: do
kompresji/dekompresji w pamięci oraz do dostępu (odczyt i zapis) do
plików skompresowanych gzipem.

%description -l pt.UTF-8
O módulo Compress::Zlib oferece uma interface de Perl para a
biblioteca de compressão zlib (veja o /AUTHOR para mais detalhes de
como obter a zlib). A maior parte da funcionalidade oferecida pela
zlib está então disponível no Compress::Zlib.

O módulo pode ser dividido em duas áreas de funcionalidade geral,
nomeadamente na compressão/descompressão na memória e no acesso para
leitura/escrita nos ficheiros do 'gzip'.

%description -l pt_BR.UTF-8
O módulo Compress::Zlib oferece uma interface de Perl para a
biblioteca de compressão zlib (veja o /AUTHOR para mais detalhes de
como obter a zlib). A maior parte da funcionalidade oferecida pela
zlib está então disponível no Compress::Zlib.

O módulo pode ser dividido em duas áreas de funcionalidade geral,
nomeadamente na compressão/descompressão na memória e no acesso para
leitura/escrita nos ficheiros do 'gzip'.

%description -l sv.UTF-8
Modulen Compress::Zlib ger Perl ett gränssnitt till
komprimeringsbiblioteket zlib. Det mesta av funktionaliteten som
zlibger är åtkomlig i Compress::Zlib.

Modulen kan delas i två allmänna funktionsområden, nämligen
komprimering/dekomprimering i minnet och läsning/skrivning till
gzip-filer.

%description -l zh_CN.UTF-8
Compress::Zlib 模块提供了到 zlib 压缩库的 Perl 界面 zlib
提供的多数功能在 Compress::Zlib 中可用。

该模块的功能可以被分成两类，即内存内的压缩/解压和 到 gzip
文件的读写访问。

%description -l zh_TW.UTF-8
Compress::Zlib 模組為 zlib 壓縮函式庫提供一個 Perl 的介面。 由 zlib
提供的大部分功能性都可在 Compress::Zlib 取得。

這個模組可以分割為兩個一般功能性的範圍，
稱為記憶體中的壓縮與解壓縮，以及讀寫存取 gzip 檔案。

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}
%patch0 -p1

rm -f examples/*.orig*

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor \
	INST_LIB=blib/lib
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install examples/* $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_vendorlib}/Compress/Zlib.pm
%dir %{perl_vendorlib}/auto/Compress/Zlib
%{perl_vendorlib}/auto/Compress/Zlib/autosplit.ix
%{_mandir}/man3/Compress::Zlib.3*
%{_examplesdir}/%{name}-%{version}

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Compress-Zlib.spec,v $
Revision 1.77  2008/12/15 21:24:44  qboosh
- install to vendorlib (not vendorarch) even on perl 5.10

Revision 1.76  2008/12/14 14:00:37  agaran
- up to 2.015

Revision 1.75  2008/03/29 22:43:12  dzeus
- rel. 4

Revision 1.74  2008-03-26 13:49:12  baggins
- rel 3

Revision 1.73  2008-02-09 17:16:13  wolvverine
- rel.2

Revision 1.72  2007-12-19 16:36:00  zbyniu
- up to 2.008

Revision 1.71  2007-05-29 22:49:46  qboosh
- versioned deps

Revision 1.70  2007/05/29 21:55:03  agaran
- up to 2.004, rel 1, builds here

Revision 1.69  2007/02/13 07:16:53  glen
- tabs in preamble

Revision 1.68  2007/02/12 00:49:26  baggins
- converted to UTF-8

Revision 1.67  2006/12/22 19:34:20  qboosh
- updated to 2.001 (noarch now, rewritten using IO::Compress::Zlib; old version branched)

Revision 1.66  2006/08/19 22:39:30  qboosh
- removed extra nl

Revision 1.65  2006/08/08 14:38:10  sparky
- mass attack: s/%patch /%patch0 / -- usefull for overloaded %patch macro

Revision 1.64  2006/07/27 11:51:04  agaran
- up to 1.42, rel 0.1, builds here

Revision 1.63  2006/05/30 15:45:46  radek
- release 1

Revision 1.62  2006/01/22 11:52:05  agaran
- up to 1.41 rel 0.1

Revision 1.61  2005/10/17 07:15:23  hawk
- release 3 (2 went to Ra)

Revision 1.60  2005/08/15 15:39:21  radek
- version 1.37

Revision 1.59  2005/07/23 20:43:39  radek
- version 1.35

Revision 1.58  2005/05/09 10:05:04  pluto
- release bump for rebuild for x86-64 target.

Revision 1.57  2004/11/03 22:30:10  paladine
- formatting

Revision 1.56  2004/10/24 14:04:32  paladine
- spelling fix

Revision 1.55  2004/05/07 00:31:59  ankry
- rel. 2

Revision 1.54  2004/05/06 18:43:05  ankry
- fixed perl-devel BR

Revision 1.53  2004/04/18 22:17:09  ankry
- license fixes and cosmetics

Revision 1.52  2004/01/24 22:14:48  arekm
- autoupdated to 1.33

Revision 1.51  2003/12/03 19:22:04  migo
- up to 1.32, new bcond style, cosmetics
- fixed license

Revision 1.50  2003/10/30 10:23:06  trojan
- updated to 1.31

Revision 1.49  2003/09/09 10:24:30  ankry
- spaces -> tab

Revision 1.48  2003/08/18 08:08:33  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.47  2003/06/25 11:57:20  trojan
- updated to 1.22

Revision 1.46  2003/06/04 06:14:48  trojan
- updated to 1.21

Revision 1.45  2003/05/28 13:00:29  malekith
- massive attack: source-md5

Revision 1.44  2003/05/25 06:24:33  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.43  2003/04/20 22:41:28  ankry
- merged translations from RH

Revision 1.42  2003/04/11 18:59:21  radek
- BR: perl-devel; do not BR: perl

Revision 1.41  2003/04/11 12:47:50  qboosh
- merge from RA-branch: up to 1.20, informative descriptions, tests on bcond
- release 2

Revision 1.40  2003/04/09 21:34:08  ankry
- rel. 4

Revision 1.39  2003/04/08 19:47:19  ankry
- rel. 2.4

Revision 1.38  2003/04/04 17:55:35  ankry
- added "-f" option to rm: don't assume broken files exist
- rel. 2.2

Revision 1.37  2003/04/04 10:04:46  mkochano
- Release 2.1
- Remove .orig* files. They generate dependency on /usr/local/bin/perl.

Revision 1.36  2003/03/01 18:46:08  radek
- should be ready for perl-5.8.0; release++

Revision 1.35  2003/02/24 20:31:51  radek
- use the __perl macro

Revision 1.34  2003/02/18 15:28:19  ankry
- massive attack: change CPAN URLs

Revision 1.33  2002/11/26 00:13:54  ankry
- Massive attack: new %%doc, use %%{_examplesdir} and proper attrs therein

Revision 1.32  2002/11/08 21:58:00  kloczek
- merge translations from Conectiva.

Revision 1.31  2002/11/08 19:03:49  radek
- version 1.19

Revision 1.30  2002/07/10 08:46:36  depesz
- applied changes using automat supplied by Radoslaw Zielinski

Revision 1.29  2002/05/11 21:05:38  areq
- 1.16, STBR

Revision 1.28  2002/05/11 14:28:05  kloczek
- s/ftp.perl.org/ftp.cpan.org/ in Source url.

Revision 1.27  2002/02/25 10:30:00  depesz
cleanup; revision++

Revision 1.26  2002/02/22 23:29:26  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.25  2002/02/13 14:10:18  depesz
automatic: Source location unified, Relase Up

Revision 1.24  2002/02/10 15:24:42  depesz
adapterized

Revision 1.23  2002/01/18 02:14:12  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.22  2001/09/02 17:13:40  kloczek
- updated to 1.14.

Revision 1.21  2001/06/06 16:14:19  mis
- autoupdated to 1.13

Revision 1.20  2001/05/06 14:35:59  mis
- autoupdated to 1.12

Revision 1.19  2001/04/30 16:05:26  kloczek
- added using %%{rpmcflags} macro.

Revision 1.18  2001/04/17 12:06:32  baggins
- release 2
- rebuild with perl 5.6.1

Revision 1.17  2001/04/14 18:00:04  baggins
- removed explicit requirements for perl = %%{version} and %%{perl_sitearch}
  they will be added by rpm if needed

Revision 1.16  2001/02/20 14:43:49  mis
- updated (by autoup) to 1.11

Revision 1.15  2001/02/06 09:28:57  kloczek
- updated to 1.10.

Revision 1.14  2001/01/25 20:03:43  misiek
Massive attack. We use -O0 instead -O flags while debug enabled.

Revision 1.13  2001/01/22 09:03:48  kloczek
- updated to 1.09.

Revision 1.12  2000/12/29 17:30:08  kloczek
- release 3: rebuild against perl 5.6.

Revision 1.11  2000/12/23 00:48:46  michuz
- changed %%{!?debug:...}%%{?debug...} to %%{?debug:...}%%{!?debug...}
  (now it's more C like)

Revision 1.10  2000/11/22 11:00:31  kloczek
- release 2: use new rpm automation.

Revision 1.9  2000/06/09 07:23:28  kloczek
- added using %%{__make} macro.

Revision 1.8  2000/05/16 22:13:21  kloczek
- spec adapterized.

Revision 1.7  2000/04/01 11:15:17  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.6  2000/03/28 16:54:47  baggins
- translated kloczkish into english

Revision 1.5  2000/02/17 20:36:27  pius
- updated to 1.08

Revision 1.4  1999/11/07 11:20:09  pius
- updated to 1.05

Revision 1.3  1999/11/07 09:17:08  pius
- fixed required rpm-perlprov version

Revision 1.2  1999/10/31 15:04:12  pius
- added '%include /usr/lib/rpm/macros.perl'
- modified BuildRequires rules

Revision 1.1  1999/10/02 21:49:53  pius
- initial release
